forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Crossley <cross...@apache.org>
Subject Re: How to merge FOP94-branch
Date Thu, 31 Jan 2008 00:25:50 GMT
Ross Gardler wrote:
> Ferdinand Soethe wrote:
> >
> >We are almost there. The branch with FOP 94 is running
> >smoothly and I'm planning to merge it back by the end of
> >this week.
>
> Cool!

Yes, congratulations.

> >The branch changes Forrest core and the pdf-plugin
> >Can I do a complete merge or will the plugin have to
> >become a new version?
> > 
> >I guess a new version is required or Forrest 0.8 runs into
> >problems when using the modified plugin 0.2 that calls for
> >libraries that it doesn't have.
> >
> >So here is what I'll do:
> >
> >- change version number of pdf-plugin in the branch to 0.3
>
> - change required Forrest version number (but see below)

Yes, both the plugin number and the Forrest required version
number would be incremented.
http://forrest.apache.org/docs/dev/howto/howto-buildPlugin.html#descriptor

Please someone make sure that the existing plugin is deployed
to our website (both locations) before changing it.

> >- merge all changes
>
> You should merge changes from the whole trunk into branch first and then
> test. If all goes well you can merge back into trunk. This step is not
> required but sometimes it sometimes highlights a change in trunk that
> affects your changes in the branch.
>
> >- create an instruction file for using the new fop in 0.8
> >  by changing the plugin in properties to 0.3,
> >  adding the required libraries and replace the style sheets
>
> If there are manual install steps needed I don't think it's a good idea
> to claim that FOP is supported in 0.8 (hence change the minimal forrest
> version). We don't want support requests for this so it should be
> confident users only.
>
> This will mean the autodownload will not work for this plugin and the
> user will need to perform all steps manually including downloading the
> plugin manually.

It would be better to do a 0.9 release.

-David

Mime
View raw message